<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <title>課題</title>
    <script>
        // 変数hpを定義
        var hp;
        // 変数hpに値を代入
        hp = 120;
        // 変数mpを定義し値に代入
        var mp = 0;
        // HPとMPを表示
        document.write('<p>現在のHPは' + hp + '現在のMPは' + mp + '</p>');
        // 変数hpの値を上書き
        hp = 80;
        // HPとMPを再度表示
        document.write('<p>現在のHPは' + hp + '現在のMPは' + mp + '</p>');
        // 変数mpの値を上書き
        mp = 50;
        // HPとMPを再度表示
        document.write('<p>現在のHPは' + hp + '現在のMPは' + mp + '</p>');
      </script>
</head>
<body>
</body>
</html>
